/* Estilos personalizados para ocultar el scrollbar */
/* Para navegadores webkit (Chrome y Safari) */
::-webkit-scrollbar {
    width: 0.2em;
    background-color: #464545;
}

::-webkit-scrollbar-thumb {
    background-color: #000000;
}

/* Para Firefox */
scrollbar-width: thin;
scrollbar-color: #000000 #F5F5F5;

/* Este es el boton para buscar en el Layout Principal */
#btn-search-ctg {
    min-width: 115px !important;
    font-weight: bolder;
}

.aw-botonera {
    min-width: 135px;
}

.aw-botonera-170 {
    width:170px;
}

.aw-botonera-175 {
    width:175px;
}

.aw-botonera-200 {
    width:200px;
}

.aw-span-info {
    color: #007bff;
    font-size: 14px;
    font-weight: 600;
}

.aw-div-bloqueado {
    position: relative; 
    pointer-events: none;
    opacity: 0.7; 
    z-index: 1;
}

.aw-div-bloqueado::before {
    content: '';
    position: absolute;
    top: 60px; 
    left: 50%;
    width: 60px;
    height: 60px;
    background-image: url('../assets/img/logos-archiweb/Logo.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    opacity: 1;
    transform: translateX(-50%); /* Mantenemos solo la traslación horizontal */
    z-index: 9999;
    animation: moveHorizontally 2s infinite ease-in-out;
}

@keyframes moveHorizontally {
    0%, 100% {
        transform: translateX(-50%);
    }
    50% {
        transform: translateX(-40%);
    }
}


.aw-focus-black:focus,
.aw-focus-black.focus {
    outline: none;
    border-color: black;
    box-shadow: 0 0 1 0.1rem black;
}

.aw-font-negrita {
    font-weight: 600 !important;
    font-size: smaller;
    margin-left: 2px;
}

.aw-select-db{
    width: 400px;
}

.aw-back-img-camion-body {
    background-image: url('../assets/img/logos-archiweb/camiones-fondo-oscuro.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    height: 100%;
}

.aw-btn-sm{
    /* btn btn-dark btn-sm aw-btn-sm */
    /* Lo usamos para los modales que tiene GUARDAR | CERRAR */
    width: 110px;
}

/* Footer */
.main-footer {
    height: 50px;
    padding-top: 10px;
}

.aw-tbl-body {
    font-size: 13px;
}

.aw-alt-tbl {
    max-height: calc(100vh - 360px);
    overflow-y: auto;
}

.aw-text-tbl-sm {
    font-size: 13px;
    position: sticky;
    top: 0;
}

.aw-alt-table{
    height: 100px;
}

.responsive-modal-aw {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 8px;
    width: 90%; 
    max-width: 1200px;
    z-index: 90;
}

@media (max-width: 768px) {
    .responsive-modal-aw {
        width: 95%;
        left: 2.5%;
        transform: none;
    }
}

.select2-sm .select2-selection--single {
    height: calc(1.8125rem + 2px); /* Altura de form-control-sm */
    font-size: 0.875rem;
    line-height: 1.8125rem;
    padding: 0 0.5rem;
    border: 1px solid #ced4da;
    border-radius: 0.2rem;
    box-sizing: border-box;
}

.select2-sm .select2-selection__rendered {
    line-height: 1.8125rem !important;
    padding-left: 0 !important;
    padding-right: 0 !important;
    margin-top: 0 !important;
}

.select2-sm .select2-selection__arrow {
    height: 1.8125rem !important;
    top: 0.1rem;
    right: 0.5rem;
}

